# $Revision: 1.95 $, $Date: 2005/09/17 10:44:59 $
# TODO:
# - build python bindings
# - use system lua
Summary:	Debian's Advanced Packaging Tool with RPM support
Summary(pl):	Zaawansowane narzdzie do zarzdzania pakietami
Summary(pt):	Frontend avanado para pacotes rpm e deb
Name:		apt
Version:	0.5.15cnc7
Release:	5
License:	GPL
Group:		Applications/Archiving
#Source0:	https://moin.conectiva.com.br/AptRpm?action=AttachFile&do=get&target=apt-0.5.15cnc7.tar.bz2
Source0:	%{name}-%{version}.tar.bz2
# Source0-md5:	9e44ec1503fa96832bbd9b532543e4de
Source1:	%{name}.conf
Source2:	%{name}-sources.list
Source3:	vendors.list
Source4:	rpmpriorities
Source5:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-pl-man-pages.tar.bz2
# Source5-md5:	a3e9b7fd3dbf243d63cbfcc78cb20c1c
Patch0:		%{name}-ac_fixes.patch
Patch1:		%{name}-pld_man.patch
Patch2:		%{name}-man_fixes.patch
Patch3:		%{name}-es_it.patch
Patch4:		%{name}-filed.patch
Patch5:		%{name}-pld_user_in_ftp_pass.patch
# do not add slash in URL
URL:		http://moin.conectiva.com.br/AptRpm
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	docbook-dtd31-sgml
BuildRequires:	docbook-utils
BuildRequires:	gettext-devel
BuildRequires:	gpm-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	rpm-devel >= 4.4.1
Requires:	gnupg
Requires:	rpm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libapt-pkg

%description
A port of Debian's apt tools for RPM based distributions. It provides
the apt-get utility that provides a simpler, safer way to install and
upgrade packages. APT features complete installation ordering,
multiple source capability and several other unique features.

%description -l pl
Port debianowego narzdzia APT dla dystrybucji bazujcych na zarzdcy
pakietw RPM. APT dostarcza narzdzie apt-get, ktre umoliwia prost,
bezpieczn instalacj i aktualizacj pakietw. Moliwoci APT to wybr
kolejnoci instalacji, moliwo ustawienia kilku rde pakietw itp.

%description -l pt_BR
Um porte das ferramentas apt do Debian para distribuies baseadas no
RPM. Sob desenvolvimento, use por sua prpria conta e risco.

%package devel
Summary:	Development files for APT's libapt-pkg
Summary(pl):	Pliki nagwkowe dla libapt-pkg
Summary(pt):	Arquivos de desenvolvimento para a biblioteca libapt-pkg do APT
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	libstdc++-devel
Requires:	rpm-devel
Obsoletes:	libapt-pkg-devel
Obsoletes:	libapt-pkg-static

%description devel
This package contains the header files and static libraries for
developing with APT's libapt-pkg package manipulation library,
modified for RPM.

%description devel -l pl
Pakiet zawiera pliki nagwkowe potrzebne do tworzenia aplikacji
korzystajcych z biblioteki libapt-pkg.

%description devel -l pt_BR
Arquivos de desenvolvimento para a biblioteca libapt-pkg do APT

%prep
%setup -q -a5
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

mv po/es_ES.po po/es.po
mv po/it_IT.po po/it.po
mv po/de_DE.po po/de.po

%build
%{__libtoolize}
%{__gettextize}
%{__aclocal} -I buildlib
#need patching
#autoheader
%{__autoconf}
CPPFLAGS="-Wno-deprecated"
CXXFLAGS="%{rpmcflags} -fno-exceptions"
%configure \
	--enable-nls \
	--with-gpm
%{__make} CC="%{__cc}" CXX="%{__cxx}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/var/cache/apt/archives/partial \
	$RPM_BUILD_ROOT/var/lib/apt/lists/partial \
	$RPM_BUILD_ROOT{%{_includedir}/apt-pkg,%{_libdir}/apt} \
	$RPM_BUILD_ROOT{%{_mandir}/{,pl/,pt_BR/}man{5,8},%{_bindir}} \
	$RPM_BUILD_ROOT{%{_sysconfdir}/apt,%{_datadir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install doc/pl/*.8 $RPM_BUILD_ROOT%{_mandir}/pl/man8

rm -f $RPM_BUILD_ROOT%{_libdir}/apt/methods/bzip2
rm -f $RPM_BUILD_ROOT%{_libdir}/apt/methods/ssh
ln -sf ./gzip $RPM_BUILD_ROOT%{_libdir}/apt/methods/bzip2
ln -sf ./rsh $RPM_BUILD_ROOT%{_libdir}/apt/methods/ssh

install %{SOURCE1}	$RPM_BUILD_ROOT%{_sysconfdir}/apt/apt.conf
install %{SOURCE3}	$RPM_BUILD_ROOT%{_sysconfdir}/apt/vendors.list
install %{SOURCE4}	$RPM_BUILD_ROOT%{_sysconfdir}/apt/rpmpriorities

sed -e s/@ARCH@/%{_target_cpu}/ %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/apt/sources.list

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc doc/examples/* TODO
%attr(755,root,root) %{_bindir}/*
%dir %{_sysconfdir}/apt
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apt/apt.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apt/sources.list
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apt/vendors.list
%config %{_sysconfdir}/apt/rpmpriorities
%dir %{_libdir}/apt
%attr(755,root,root) %{_libdir}/apt/*
%{_mandir}/man[58]/*
%lang(pl) %{_mandir}/pl/man8/*
/var/cache/apt
/var/lib/apt
%attr(755,root,root) %{_libdir}/libapt*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%{_libdir}/libapt*.so
%{_libdir}/libapt*.a
%{_libdir}/libapt*.la
%{_includedir}/apt-pkg

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apt.spec,v $
Revision 1.95  2005/09/17 10:44:59  arekm
- readline 5.0

Revision 1.94  2005/09/06 15:01:21  glen
- BR: libmagic-devel moved to rpm-devel

Revision 1.93  2005/09/06 14:39:24  glen
- BR: libmagic-devel
- mv locale files in %prep
- rel 4 for relink with heimdal
- STBR

Revision 1.92  2005/09/06 13:43:47  glen
- url fix

Revision 1.91  2005/07/07 16:50:28  darekr
- killed setting perms in %install

Revision 1.90  2005/06/27 01:43:17  zbyniu
- added BR: docbook-dtd31-sgml, docbook-utils, libstdc++-devel, libtool
- removed BRs required by rpm-devel

Revision 1.89  2005/06/17 22:25:00  arekm
- rel up; bump BR to rpm-devel >= 4.4.1

Revision 1.88  2005/06/17 16:24:15  baggins
- release 2 for rpm 4.4.1

Revision 1.87  2005/05/20 13:48:18  baggins
- finished update
- STBR Ac-test

Revision 1.86  2005/05/20 11:46:39  baggins
- fixed md5sum

Revision 1.85  2005/05/20 11:46:19  baggins
- started update to 0.5.15cnc7

Revision 1.84  2004/12/17 17:56:26  sparky
- Spanish summary/description fixes

Revision 1.83  2004/11/04 20:46:03  paladine
- spaces-<tabs

Revision 1.82  2003/09/14 08:56:46  krzak
- rel 0.2

Revision 1.81  2003/08/18 08:07:55  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.80  2003/08/06 16:13:26  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.79  2003/06/19 22:43:12  qboosh
- added assert patch (needed with gcc 3.3)

Revision 1.78  2003/06/11 10:46:01  ankry
- added md5

Revision 1.77  2003/05/26 16:24:43  malekith
- massive attack: adding Source-md5

Revision 1.76  2003/05/25 05:45:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.75  2003/03/10 14:01:06  wiget
- up to 0.5.5cnc4.1

Revision 1.74  2003/03/06 18:24:29  wiget
- realy remove md5_cache_dir.patch

Revision 1.73  2003/03/06 18:23:46  wiget
- up to 0.5.5cnc3
- removed md5_cache_dir.patch (it's unneeded hack, use apt.conf or -o switch to set Cache::Dir)

Revision 1.72  2003/01/19 18:45:31  qboosh
- rtti _is_ needed (at least for aptitude)
- fixed lib*.so symlinks in -devel (they were copied files, not symlinks...)
- -devel R: libstdc++-devel

Revision 1.71  2002/12/12 01:33:18  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.70  2002/12/10 21:29:05  qboosh
- readded updated pld_user_in_ftp_pass patch
- fixed md5-cache-dir-option patch
- release 0.99 (for testing)

Revision 1.69  2002/12/10 17:54:26  qboosh
- patches updated

Revision 1.68  2002/12/10 11:15:49  qboosh
- some patches need update; removed BR: db - db version is determined by rpm

Revision 1.67  2002/12/09 13:48:44  qboosh
- merged DEVEL branch

Revision 1.66  2002/11/21 22:17:09  kloczek
- release 12: new apt-sources.list default configuration file:
  - uncommented base and updates-security repository,
  - added commented updates-general repository.

Revision 1.65  2002/10/18 09:12:50  ankry
- fixed "filled" misspelling (patch9)
- fixed build by separating DEVEL version in cvs (so rel. still 11)
- STBR for ra

Revision 1.64  2002/10/09 13:14:17  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new
  %doc

Revision 1.63  2002/08/29 10:59:21  blues
- release 11 - new doc, removed stat from priorities

Revision 1.62  2002/05/28 09:15:22  blues
- apt requires rpm, of course...

Revision 1.61  2002/05/21 23:12:41  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%%\{__automake\}/; \
             s/^automake -a -c -f/\%%\{__automake\}/; \
     s/^autoconf/\%%\{__autoconf\}/"

Revision 1.60  2002/05/19 22:12:48  ankry
- moved messages file ftom es_ES/ to es/
- release 10

Revision 1.59  2002/04/25 15:47:38  arturs
- fixed a small typo

Revision 1.58  2002/04/24 14:12:00  marcus
- addedd apt-md5-cache-dir-option.patch (thanks to <malekith@pld.org.pl>)
- rel.9.

Revision 1.57  2002/04/05 10:43:34  ankry
- fixed man-pages (pl, pt_BR)
- release 8, stbr

Revision 1.56  2002/04/03 16:16:09  kloczek
- relase 7: include in vendors.list config file PLD GPG key fingerprint.

Revision 1.55  2002/03/20 21:51:19  kloczek
- release 6: added updates directory to default sources.list.

Revision 1.54  2002/02/23 01:23:24  kloczek
- adapterized.

Revision 1.53  2002/02/22 23:28:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.52  2002/02/10 01:11:11  blues
- adapterized

Revision 1.51  2002/01/24 00:12:57  ankry
- added man-pages tar URL

Revision 1.50  2002/01/18 02:12:21  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.49.2.15  2002/09/19 13:51:50  wiget
- updated to 0.5.4cnc7
- release 0.9
- remove outdated patches

Revision 1.49.2.14  2002/08/13 00:53:31  wiget
- updated to cnc6

Revision 1.49.2.13  2002/08/06 07:59:11  wiget
- updated to 0.5.4cnc5

Revision 1.49.2.12  2002/07/31 10:57:56  wiget
- norequires.patch disabled

Revision 1.49.2.11  2002/07/31 08:55:23  wiget
- start upgrade to 0.5.4cnc4

Revision 1.49.2.10  2002/05/17 08:06:54  misiek
- rel 4

Revision 1.49.2.9  2002/04/11 09:04:17  qboosh
- MFH: updated vendors.list, fixed pl man pages

Revision 1.49.2.8  2002/03/30 18:51:08  qboosh
- ac25x patch needed for autoconf 2.53
- run autoheader - needed to include <locale.h>

Revision 1.49.2.7  2002/03/17 10:38:57  misiek
- properl URL

Revision 1.49.2.6  2002/03/13 18:21:41  misiek
- rebuild with new libstdc++ 4; release 3

Revision 1.49.2.5  2002/03/12 17:38:19  misiek
- use standard c++; release 2

Revision 1.49.2.4  2002/02/17 02:05:48  misiek
- add mdfile patch (now compiles fine with rpm 4.0.4)

Revision 1.49.2.3  2002/01/16 21:39:48  misiek
- update to cnc55

Revision 1.49.2.2  2002/01/05 22:23:42  misiek
- proper way of using CXX

Revision 1.49.2.1  2002/01/05 12:49:02  misiek
- updated to apt 0.3.19cnc55

Revision 1.49  2001/11/28 23:51:22  ankry
- added patch with typos/formatting man fixes (patch6)
- updated pl man translations
- release 5

Revision 1.48  2001/11/27 01:11:55  ankry
- converted two pl man pages to RPM based apt version
- use make for pl man instalation
- fixed pt_BR man install
- fixed paths for PLD in en/pt_BR man pages (Patch5)
- release 4

Revision 1.47  2001/11/26 14:31:50  ankry
- added pl man pages

Revision 1.46  2001/10/30 04:10:44  kloczek
- release 3.

Revision 1.45  2001/10/28 08:52:46  grzegorz
- added %verify(not size mtime md5) to %{_sysconfdir}/apt/apt.conf,
  %{_sysconfdir}/apt/sources.list and %{_sysconfdir}/apt/vendors.list

Revision 1.44  2001/10/11 03:47:30  kloczek
- release 2,
- spec adapterized,
- pass -fno-rtti -fno-exceptions to CXXFLAGS (duh .. output package size
  now ~25% smaller !!).

Revision 1.43  2001/10/10 14:53:21  qboosh
- BuildRequires: automake

Revision 1.42  2001/09/17 11:30:53  qboosh
- removed English "es" summaries

Revision 1.41  2001/09/11 21:03:53  misiek
- fix IPv6 support for ftp

Revision 1.40  2001/08/15 13:26:47  kloczek
- added no_PARALLEL_RUN and ac_fixes patches (now apt build correctly).

Revision 1.39  2001/08/14 23:16:39  kloczek
- updated to 0.3.19cnc52.

Revision 1.38  2001/08/14 22:24:30  qboosh
- FHS 2.1/2.2: use /var/lib not /var/state (FHS patch)
- release 3

Revision 1.37  2001/07/11 20:23:52  qboosh
- release 2: run autoconf (needed with new %configure macro)

Revision 1.36  2001/07/03 12:28:54  wiget
- cnc50

Revision 1.35  2001/06/22 11:33:35  misiek
- updated to cnc46

Revision 1.34  2001/06/16 15:44:52  kloczek
- updated to 0.3.19cnc45,
- insert %{_target_cpu} into paths in sources.list.

Revision 1.33  2001/06/13 22:03:50  misiek
- and again... cnc44 this time

Revision 1.32  2001/06/13 21:38:28  misiek
- updated to cnc39

Revision 1.31  2001/04/27 14:03:30  kloczek
- typo.

Revision 1.30  2001/04/27 11:52:44  kloczek
- fixed Group in devel.

Revision 1.29  2001/04/27 09:53:12  kloczek
- relase 4,
- spec adapterized,
- added pld_user_in_ftp_pass patch for pass in ftp anonymous password
  "apt_get_ftp_2.0@pld.linux.user" instead "apt_get_ftp_2.0@conectiva.linux.user".

Revision 1.28  2001/04/18 22:48:28  misiek
- don't process Requires when checking package version (by popular demand)
- release 3

Revision 1.27  2001/04/12 18:50:13  kloczek
- release 2:
- added libapt-pkg-static to Obsoletes for devel,
- added rpm-devel to Requires list for devel.

Revision 1.26  2001/04/03 10:28:45  kloczek
- release 1.

Revision 1.25  2001/03/25 08:53:47  misiek
- 38

Revision 1.24  2001/02/26 18:43:17  wiget
- provide example sources.list with PLD sites; release 0.2

Revision 1.23  2001/02/26 17:58:24  misiek
- use external rpmpriorities

Revision 1.22  2001/02/25 14:30:25  misiek
- small fix

Revision 1.21  2001/02/25 14:18:03  misiek
- ver 37. stb

Revision 1.20  2001/02/19 16:29:33  wiget
- upgraded to cnc36, removed libapt-* subpackages (as is in original spec)

Revision 1.19  2001/02/16 12:12:28  misiek
- 35. not ready yet

Revision 1.18  2001/01/26 15:56:01  wiget
- 0.3.19cnc33 and Requires gnupg

Revision 1.17  2000/12/17 00:24:38  areq
- updated to 0.3.19cnc27

Revision 1.16  2000/12/08 14:24:25  wiget
- fix Requires in devel subpackage; fix installing libapt-pkg.so; fix
  %post/%postun scripts; fix files in libapt-pkg subpackage; Release 2

Revision 1.15  2000/12/04 18:51:55  wiget
- fix attr to %{_libdir}/apt/*

Revision 1.14  2000/12/04 18:43:27  wiget
- fix many typos

Revision 1.13  2000/11/16 08:38:43  kloczek
- added Source url,
- poit URL to apt-howto page.

Revision 1.12  2000/11/16 08:21:20  kloczek
- more simplifications.

Revision 1.11  2000/11/16 08:13:08  kloczek
- simplifications in %install,
- cut %changelog,
- few cosmetics and reorders in %packages headers.

Revision 1.10  2000/11/13 22:43:58  misiek
- no longer depend on db1

Revision 1.9  2000/11/06 18:01:55  alchemyx
- added/changed BuildRequires
- gzipping more docs
- fixed docs files list (so *.gz are included; README.make removed)

Revision 1.8  2000/11/05 21:37:32  alchemyx
- packages reordered in spec

Revision 1.7  2000/11/05 21:04:55  alchemyx
- removed COPYING* files
- removed with-cpus - it is autodetected

Revision 1.6  2000/11/05 20:52:38  alchemyx
- removed hashed lines
- some layout changed
- gzipping part of docs
- BTW: last time I cut some of changelog

Revision 1.5  2000/11/05 20:16:47  alchemyx
- /usr/var moved to /var
- static package removed (*.a file is not generated?)
- additional documentation moved to -devel
- apt library splitted out from main apt package
- some cosmetics in layout
- polish descriptions changed a little bit
- still some work to do

Revision 1.4  2000/11/05 10:29:22  alchemyx
- removed empty Group tag

Revision 1.3  2000/11/04 13:57:13  misiek
- updated; someone want's to finish it?
  Based on Conectiva spec file.
